package org.codiki.core.entities.dto;

import java.util.Date;

import org.codiki.core.entities.persistence.Role;
import org.codiki.core.entities.persistence.User;

public class UserDTO {

	private String key;
	
	private String name;
	
	private String email;
	
	private String password;
	
	private String image;
	
	private Date inscriptionDate;
	
	private Role role;
	
	public UserDTO() {
		super();
	}
	
	public UserDTO(final User pUser) {
		key = pUser.getKey();
		name = pUser.getName();
		email = pUser.getEmail();
		image = pUser.getImage();
		inscriptionDate = pUser.getInscriptionDate();
		role = pUser.getRole();
	}
	
	public UserDTO(final User pUser, final boolean pWithToken) {
		this(pUser);
	}
	
	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getImage() {
		return image;
	}

	public void setImage(String image) {
		this.image = image;
	}

	public Date getInscriptionDate() {
		return inscriptionDate;
	}

	public void setInscriptionDate(Date inscriptionDate) {
		this.inscriptionDate = inscriptionDate;
	}

	public Role getRole() {
		return role;
	}

	public void setRole(Role role) {
		this.role = role;
	}
}
